package com.qxgmat.dto.request;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * Created by GaoJie on 2017/11/3.
 */
public class UserValidMobileDto {

    /**
     * 手机号
     */
    @NotBlank(message = "手机号不能为空！")
    @ApiModelProperty(value = "手机号", required = true)
    private String mobile;

    /**
     * 手机验证码
     */
    @NotBlank(message = "手机验证码不能为空！")
    @ApiModelProperty(value = "手机验证码", required = true)
    private String mobileVerifyCode;

    /**
     * 邀请人手机/邀请码
     */
    @ApiModelProperty(value = "邀请人手机/邀请码", required = false)
    private String inviteCode;

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getMobileVerifyCode() {
        return mobileVerifyCode;
    }

    public void setMobileVerifyCode(String mobileVerifyCode) {
        this.mobileVerifyCode = mobileVerifyCode;
    }

    public String getInviteCode() {
        return inviteCode;
    }

    public void setInviteCode(String inviteCode) {
        this.inviteCode = inviteCode;
    }
}
